For the latest news and information visit The GNU Crypto project

## javax.crypto
Class NullCipher

    java.lang.Object
      |
      +--javax.crypto.Cipher
            |
            +--javax.crypto.NullCipher

public class NullCipher
extends Cipher

The NullCipher class is a class that provides an "identity cipher" -- one that does not tranform the plaintext. As a consequence, the ciphertext is identical to the plaintext. All initialization methods do nothing, while the blocksize is set to 1 byte.

Since:
  JCE1.2

Field Summary

Fields inherited from class javax.crypto.Cipher
`DECRYPT_MODE, ENCRYPT_MODE, PRIVATE_KEY, PUBLIC_KEY, SECRET_KEY, UNWRAP_MODE, WRAP_MODE`

Constructor Summary
`NullCipher()`

Methods inherited from class javax.crypto.Cipher
`doFinal, doFinal, doFinal, doFinal, doFinal, doFinal, getAlgorithm, getBlockSize, getExemptionMechanism, getInstance, getInstance, getInstance, getIV, getOutputSize, getParameters, getProvider, init, init, init, init, init, init, init, init, unwrap, update, update, update, update, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullCipher

    public NullCipher()

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.